summarylogtreecommitdiffstats
path: root/.travis.yml
diff options
context:
space:
mode:
authorbartus2019-06-04 00:14:42 +0200
committerbartus2019-06-04 15:45:05 +0200
commit1a7af6d2cae96350eb3565d07bde1972de74b70b (patch)
tree5f0d480550c85917d0ef7df122b7065bbcda3f51 /.travis.yml
parenteee858149ee1f5d9fab88b65c6a001ea0d2ff336 (diff)
downloadaur-1a7af6d2cae96350eb3565d07bde1972de74b70b.tar.gz
exit arch:script with makepkg return code
Diffstat (limited to '.travis.yml')
-rw-r--r--.travis.yml5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis.yml b/.travis.yml
index fd25dca6ca9f..7285d693f5a9 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -29,8 +29,11 @@ arch:
# override `package-cleanup.hook` to preserve cache for travis.
- "sudo mkdir /etc/pacman.d/hooks/ && sudo ln -s /dev/null /etc/pacman.d/hooks/package-cleanup.hook"
- "sudo pacman -S --noconfirm ccache moreutils"
- - "makepkg -s --noconfirm TRAVIS=1 MAKEFLAGS='-j2' 2>&1 |ts -s '[%.T]'"
+# exit with makepkg return code
+ - "set -o pipefail"
+ - "makepkg -s --noconfirm TRAVIS=1 MAKEFLAGS='-j2' 2>&1 |ts -s '[%.T]'; makepkg_ret=$?"
- "ccache -s"
+ - "exit $makepkg_ret"
script:
- "curl -s https://raw.githubusercontent.com/bartoszek/arch-travis/pacman-pkg-cache/arch-travis.sh | bash"